# Uses of Class
org.eclipse.ui.views.navigator.ResourcePatternFilter

Packages that use ResourcePatternFilter
Package
Description
org.eclipse.ui.views.navigator
Provides the standard Resource Navigator view which presents the tree of resources in the workspace.

## Uses of ResourcePatternFilter in org.eclipse.ui.views.navigator

Methods in org.eclipse.ui.views.navigator that return ResourcePatternFilter
Modifier and Type
Method
Description
`ResourcePatternFilter`
IResourceNavigator.`getPatternFilter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the pattern filter.
`ResourcePatternFilter`
ResourceNavigator.`getPatternFilter()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the pattern filter for this view.